WITH DATOS1 AS (
select
            SCARR.AIRCODE3 SLS_CRR,
            case when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('TA','LR','T0','GU') then 'TA'
       when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('AV','MM')       then 'AV'
       else (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end)  end        GRP_CRR,
            OCARR.AIRCODE2 OPER_CRR,
            OPCCRR.AIRCODE2 OP_CTRL_CRR,
            ROWCRR.AIRCODE2 RT_OWN_CRR,
            FLT.FTNR NUM_VUELO,
            LORG.ORAC LEG_ORGN,
            LDST.ORAC LEG_DSTN,
            LORG.ORAC||LDST.ORAC LEG_OW,
            CASE  WHEN LORG.ORAC < LDST.ORAC
                  then LORG.ORAC||LDST.ORAC
                  else LDST.ORAC||LORG.ORAC end  LEG_RT,
            ODORG.ORAC OD_ORGN,
            ODDST.ORAC OD_DSTN,
            ODORG.ORAC||ODDST.ORAC  OD_OW,
            CASE  WHEN ODORG.ORAC < ODDST.ORAC
                  then ODORG.ORAC||ODDST.ORAC
                  else ODDST.ORAC||ODORG.ORAC end OD_RT,
            TORGN.ORAC TRIP_ORGN,
            TDSTN.ORAC TRIP_DSTN,
            case when (FLT.FTNR Between 10 And 19) And OCARR.AIRCODE2='AV' then SBXRM002MC.REF_POSTFCR_EUR_EC.CABINA
            else SBXRM002MC.REF_POSTFCR_AVTA.CABINA end CABINA_COMPRADA,
            SALES.CTRY POS,
            PXTP.PXTP  PAX_TYPE,
            TPP.TRPP TRPP,
            REF_FolTable.Tipo_RM  TIPO,
           substr(FTDA.DATE_ID,5,2) MES,
           substr(FTDA.DATE_ID,1,4) YYYY,
           Extract(month from DAIS.DATE_DESC) MES_venta,
           Extract(year from DAIS.DATE_DESC) YYYY_venta,
           (trunc(DAIS.DATE_DESC,'IW')+5) SEMANA_VENTA,
           (trunc(DAIS.DATE_DESC,'IW')+5) SEMANA_VENTA_EQ,
            REF_REGIONLEG.REGION Region,
            SUM(TCN.LPAX) PAX,
            SUM(TCN.FAMNT_USD) INGRESOS_USD,
            SUM(TCN.FAMNT_COP) INGRESOS_COP
			
from TC.DW_FAC_TCN_AVTA_SK TCN      

									INNER JOIN DIM.DW_GEN_LOCATIONS             LDST    ON (TCN.LDST_KEY = LDST.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             LORG    ON (TCN.LORG_KEY = LORG.LOCATION_KEY)
									
                                    INNER JOIN DIM.DW_DIM_SALES_ORGANIZATION    SALES   ON (TCN.SLCU_KEY = SALES.SALES_ORGKEY)
                                    INNER JOIN DIM.DW_GEN_SRVCLASSES            CLS     ON (TCN.TCLS_KEY = CLS.SRVCLASSKEY)
                                    LEFT JOIN SBXRM002MC.REF_POSTFCR_EUR_EC             ON CLS.EQVCURRCLASS = SBXRM002MC.REF_POSTFCR_EUR_EC.CLASE
                                    LEFT JOIN SBXRM002MC.REF_POSTFCR_AVTA               ON CLS.EQVCURRCLASS = SBXRM002MC.REF_POSTFCR_AVTA.CLASE
                                    INNER JOIN DIM.DW_GEN_DT                    DAIS    ON (TCN.DAIS_KEY = DAIS.DATE_KEY)
                                    INNER JOIN DIM.DW_GEN_DT                    FTDA    ON (TCN.LFDA_KEY = FTDA.DATE_KEY)
                                    INNER JOIN DIM.DW_DIM_TC_AIRLINES2              OCARR   ON (TCN.OCAR_KEY   = OCARR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_DIM_TC_AIRLINES2              MCARR   ON (TCN.MCAR_KEY   = MCARR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_DIM_TC_AIRLINES3              SCARR   ON (TCN.SCAR_KEY = SCARR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_DIM_FLIGHTNUMBER          FLT     ON (TCN.OFTN_KEY = FLT.FTNRKEY)
                                    INNER JOIN DIM.DW_DIM_TC_PXTP               PXTP    ON (TCN.PXTP_KEY = PXTP.PXTP_KEY)
                                    INNER JOIN DIM.DW_GEN_TRIPPURPOSE           TPP     ON (TCN.TRPP_KEY = TPP.TRPP_KEY)
                                    INNER JOIN SBXRM002MC.REF_FolTable    REF_FolTable  ON (OCARR.AIRCODE2 = REF_FolTable.CRR) AND (FLT.FTNR = REF_FolTable.VUELO_TXT) and (to_date(FTDA.DATE_ID,'YYYYMMDD') Between REF_FolTable.RANGO_MIN And REF_FolTable.RANGO_MAX)
                                    INNER JOIN DIM.DW_GEN_AIRLINES              OPCCRR  ON (TCN.OCCAR_KEY = OPCCRR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_GEN_AIRLINES              ROWCRR  ON (TCN.ROCAR_KEY = ROWCRR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             ODDST   ON (TCN.CODS_KEY = ODDST.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             ODORG   ON (TCN.COOR_KEY = ODORG.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             TDSTN   ON (TCN.TDST_KEY = TDSTN.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             TORGN   ON (TCN.TORG_KEY = TORGN.LOCATION_KEY)
                                    INNER JOIN SBXRM002MC.REF_REGIONLEG   REF_REGIONLEG ON (LORG.ORAC = REF_RegionLeg.ORG) AND (LDST.ORAC = REF_RegionLeg.DST)
                                    LEFT JOIN SBXRM002MC.REF_SCC_FlightNumber           ON (FLT.FTNR = SBXRM002MC.REF_SCC_FlightNumber.Flight_Number)
                          AND (LORG.ORAC = SBXRM002MC.REF_SCC_FlightNumber.Leg_Orgn)
                          AND (LDST.ORAC = SBXRM002MC.REF_SCC_FlightNumber.Leg_Dstn)
where FTDA.DATE_DESC between add_months(trunc(Sysdate,'mm'),-1) and last_day(add_months(trunc(Sysdate,'mm'),3))
      AND REF_FolTable.Tipo_RM in ('REGULAR', 'REGIONAL', 'DOMEC')
      AND DAIS.DATE_DESC <= trunc(sysdate,'iw')-2
      AND PXTP.PXTP <> 'C'
      AND TCN.LPAX = 1
      AND OCARR.AIRCODE2 in ('AV', 'TA','LR', '2K', 'T0') AND ROWNUM<10
group by
            SCARR.AIRCODE3,
            case when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('TA','LR','T0','GU') then 'TA'
       when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('AV','MM')       then 'AV'
       else (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end)  end,
            OCARR.AIRCODE2,
            OPCCRR.AIRCODE2,
            ROWCRR.AIRCODE2,
            FLT.FTNR,
            LORG.ORAC,
            LDST.ORAC,
            LORG.ORAC||LDST.ORAC,
            CASE  WHEN LORG.ORAC < LDST.ORAC
                  then LORG.ORAC||LDST.ORAC
                  else LDST.ORAC||LORG.ORAC end,
            ODORG.ORAC,
            ODDST.ORAC,
            ODORG.ORAC||ODDST.ORAC,
            CASE  WHEN ODORG.ORAC < ODDST.ORAC
                  then ODORG.ORAC||ODDST.ORAC
                  else ODDST.ORAC||ODORG.ORAC end,
            TORGN.ORAC,
            TDSTN.ORAC,
            case when (FLT.FTNR Between 10 And 19) And OCARR.AIRCODE2='AV' then SBXRM002MC.REF_POSTFCR_EUR_EC.CABINA
            else SBXRM002MC.REF_POSTFCR_AVTA.CABINA end,
            SALES.CTRY,
            PXTP.PXTP,
            TPP.TRPP,
            REF_FolTable.Tipo_RM,
			substr(FTDA.DATE_ID,5,2),
           substr(FTDA.DATE_ID,1,4),
           Extract(month from DAIS.DATE_DESC),
           Extract(year from DAIS.DATE_DESC),
           (trunc(DAIS.DATE_DESC,'IW')+5),
           (trunc(DAIS.DATE_DESC,'IW')+5),
            REF_REGIONLEG.REGION
			
			
UNION ALL


SELECT      SCARR.AIRCODE3,
            case when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('TA','LR','T0','GU') then 'TA'
       when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('AV','MM')       then 'AV'
       else (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end)  end,
            OCARR.AIRCODE2,
            OPCCRR.AIRCODE2,
            ROWCRR.AIRCODE2,
            FLT.FTNR,
            LORG.ORAC,
            LDST.ORAC,
            LORG.ORAC||LDST.ORAC,
            CASE  WHEN LORG.ORAC < LDST.ORAC
                  then LORG.ORAC||LDST.ORAC
                  else LDST.ORAC||LORG.ORAC end,
            ODORG.ORAC,
            ODDST.ORAC,
            ODORG.ORAC||ODDST.ORAC,
            CASE  WHEN ODORG.ORAC < ODDST.ORAC
                  then ODORG.ORAC||ODDST.ORAC
                  else ODDST.ORAC||ODORG.ORAC end,
            TORGN.ORAC,
            TDSTN.ORAC,
            case when (FLT.FTNR Between 10 And 19) And OCARR.AIRCODE2='AV' then SBXRM002MC.REF_POSTFCR_EUR_EC.CABINA
            else SBXRM002MC.REF_POSTFCR_AVTA.CABINA end,
            SALES.CTRY,
            PXTP.PXTP,
            TPP.TRPP,
            REF_FolTable.Tipo_RM,
            substr(FTDA.DATE_ID,5,2),
           substr(FTDA.DATE_ID,1,4),
           Extract(month from DAIS.DATE_DESC),
           Extract(year from DAIS.DATE_DESC),
           (trunc(DAIS.DATE_DESC,'IW')+5),
           (trunc(DAIS.DATE_DESC,'IW')+369),
            REF_REGIONLEG.REGION,
            SUM(TCN.LPAX),
            SUM(TCN.FAMNT_USD),
            SUM(TCN.FAMNT_COP)
from TC.DW_FAC_TCN_AVTA_SK TCN      INNER JOIN DIM.DW_GEN_LOCATIONS             LDST    ON (TCN.LDST_KEY = LDST.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             LORG    ON (TCN.LORG_KEY = LORG.LOCATION_KEY)
                                    INNER JOIN DIM.DW_DIM_SALES_ORGANIZATION    SALES   ON (TCN.SLCU_KEY = SALES.SALES_ORGKEY)
                                    INNER JOIN DIM.DW_GEN_SRVCLASSES            CLS     ON (TCN.TCLS_KEY = CLS.SRVCLASSKEY)
                                    LEFT JOIN SBXRM002MC.REF_POSTFCR_EUR_EC             ON CLS.EQVCURRCLASS = SBXRM002MC.REF_POSTFCR_EUR_EC.CLASE
                                    LEFT JOIN SBXRM002MC.REF_POSTFCR_AVTA               ON CLS.EQVCURRCLASS = SBXRM002MC.REF_POSTFCR_AVTA.CLASE
                                    INNER JOIN DIM.DW_GEN_DT                    DAIS    ON (TCN.DAIS_KEY = DAIS.DATE_KEY)
                                    INNER JOIN DIM.DW_GEN_DT                    FTDA    ON (TCN.LFDA_KEY = FTDA.DATE_KEY)
                                    INNER JOIN DIM.DW_DIM_TC_AIRLINES2              OCARR   ON (TCN.OCAR_KEY   = OCARR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_DIM_TC_AIRLINES2              MCARR   ON (TCN.MCAR_KEY   = MCARR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_DIM_TC_AIRLINES3              SCARR   ON (TCN.SCAR_KEY = SCARR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_DIM_FLIGHTNUMBER          FLT     ON (TCN.OFTN_KEY = FLT.FTNRKEY)
                                    INNER JOIN DIM.DW_DIM_TC_PXTP               PXTP    ON (TCN.PXTP_KEY = PXTP.PXTP_KEY)
                                    INNER JOIN DIM.DW_GEN_TRIPPURPOSE           TPP     ON (TCN.TRPP_KEY = TPP.TRPP_KEY)
                                    INNER JOIN SBXRM002MC.REF_FolTable    REF_FolTable  ON (OCARR.AIRCODE2 = REF_FolTable.CRR) AND (FLT.FTNR = REF_FolTable.VUELO_TXT) and (to_date(FTDA.DATE_ID,'YYYYMMDD') Between REF_FolTable.RANGO_MIN And REF_FolTable.RANGO_MAX)
                                    INNER JOIN DIM.DW_GEN_AIRLINES              OPCCRR  ON (TCN.OCCAR_KEY = OPCCRR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_GEN_AIRLINES              ROWCRR  ON (TCN.ROCAR_KEY = ROWCRR.AIRLINE_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             ODDST   ON (TCN.CODS_KEY = ODDST.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             ODORG   ON (TCN.COOR_KEY = ODORG.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             TDSTN   ON (TCN.TDST_KEY = TDSTN.LOCATION_KEY)
                                    INNER JOIN DIM.DW_GEN_LOCATIONS             TORGN   ON (TCN.TORG_KEY = TORGN.LOCATION_KEY)
                                    INNER JOIN SBXRM002MC.REF_REGIONLEG   REF_REGIONLEG ON (LORG.ORAC = REF_RegionLeg.ORG) AND (LDST.ORAC = REF_RegionLeg.DST)
                                    LEFT JOIN SBXRM002MC.REF_SCC_FlightNumber           ON (FLT.FTNR = SBXRM002MC.REF_SCC_FlightNumber.Flight_Number)
                          AND (LORG.ORAC = SBXRM002MC.REF_SCC_FlightNumber.Leg_Orgn)
                          AND (LDST.ORAC = SBXRM002MC.REF_SCC_FlightNumber.Leg_Dstn)
where FTDA.DATE_DESC between add_months(trunc(Sysdate-364,'mm'),-1) and last_day(add_months(trunc(Sysdate-364,'mm'),3))
      AND REF_FolTable.Tipo_RM in ('REGULAR', 'REGIONAL', 'DOMEC')
      AND DAIS.DATE_DESC <= trunc(sysdate-364,'iw')-2
      AND PXTP.PXTP <> 'C'
      AND TCN.LPAX = 1
      AND OCARR.AIRCODE2 in ('AV', 'TA','LR', '2K', 'T0')
group by	SCARR.AIRCODE3,
            case when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('TA','LR','T0','GU') then 'TA'
			when (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end) In ('AV','MM')       then 'AV'
			else (case when SBXRM002MC.REF_SCC_FlightNumber.FL_Number Is Null then OCARR.AIRCODE2
            else SBXRM002MC.REF_SCC_FlightNumber.VQ end)  end,
            OCARR.AIRCODE2,
            OPCCRR.AIRCODE2,
            ROWCRR.AIRCODE2,
            FLT.FTNR,
            LORG.ORAC,
            LDST.ORAC,
            LORG.ORAC||LDST.ORAC,
            CASE  WHEN LORG.ORAC < LDST.ORAC
                  then LORG.ORAC||LDST.ORAC
                  else LDST.ORAC||LORG.ORAC end,
            ODORG.ORAC,
            ODDST.ORAC,
            ODORG.ORAC||ODDST.ORAC,
            CASE  WHEN ODORG.ORAC < ODDST.ORAC
                  then ODORG.ORAC||ODDST.ORAC
                  else ODDST.ORAC||ODORG.ORAC end,
            TORGN.ORAC,
            TDSTN.ORAC,
            case when (FLT.FTNR Between 10 And 19) And OCARR.AIRCODE2='AV' then SBXRM002MC.REF_POSTFCR_EUR_EC.CABINA
            else SBXRM002MC.REF_POSTFCR_AVTA.CABINA end,
            SALES.CTRY,
            PXTP.PXTP,
            TPP.TRPP,
            REF_FolTable.Tipo_RM,
            substr(FTDA.DATE_ID,5,2),
            substr(FTDA.DATE_ID,1,4),
            Extract(month from DAIS.DATE_DESC),
            Extract(year from DAIS.DATE_DESC),
            (trunc(DAIS.DATE_DESC,'IW')+5),
            (trunc(DAIS.DATE_DESC,'IW')+369),
            REF_REGIONLEG.REGION
      )
select 
'SLS_CRR;GRP_CRR;OPER_CRR;OP_CTRL_CRR;RT_OWN_CRR;NUM_VUELO;LEG_ORGN;LEG_DSTN;LEG_OW;LEG_RT;OD_ORGN;OD_DSTN;OD_OW;OD_RT;TRIP_ORGN;TRIP_DSTN;CABINA_COMPRADA;POS;PAX_TYPE;TRPP;TIPO;MES;YYYY;MES_VENTA;YYYY_VENTA;SEMANA_VENTA;SEMANA_VENTA_EQ;REGION;PAX;INGRESOS_USD;INGRESOS_COP' AS TOTAL FROM DUAL
UNION ALL
select
SLS_CRR||';'||GRP_CRR||';'||OPER_CRR||';'||OP_CTRL_CRR||';'||RT_OWN_CRR||';'||NUM_VUELO||';'||LEG_ORGN||';'||LEG_DSTN||';'||
LEG_OW||';'||LEG_RT||';'||OD_ORGN||';'||OD_DSTN||';'||OD_OW||';'||OD_RT||';'||TRIP_ORGN||';'||TRIP_DSTN||';'||
CABINA_COMPRADA||';'||POS||';'||PAX_TYPE||';'||TRPP||';'||TIPO||';'||MES||';'||YYYY||';'||MES_VENTA||';'||YYYY_VENTA||';'||
SEMANA_VENTA||';'||SEMANA_VENTA_EQ||';'||REGION||';'||PAX||';'||INGRESOS_USD||';'||INGRESOS_COP
from DATOS1;